petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGetTolerances

Gets the relative, absolute, divergence, and maximum iteration tolerances used by the default KSP convergence tests.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetTolerances(KSP ksp,PetscReal *rtol,PetscReal *abstol,PetscReal *dtol,PetscInt *maxits)

Not Collective

### Input Parameter

ksp -the Krylov subspace context

### Output Parameters

| rtol | - the relative convergence tolerance
| abstol | - the absolute convergence tolerance
| dtol | - the divergence tolerance
| maxits | - maximum number of iterations

### Notes

The user can specify NULL for any parameter that is not needed.

### Keywords

get, tolerance, absolute, relative, divergence, convergence,
maximum, iterations

### See Also

KSPSetTolerances(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages